Subject: Re: ANNOUNCE selfhosting mingw32
From: [email-masked] (Mikey)
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 20 Dec 1999 01:35:43 GMT

On Sun, 19 Dec 1999 08:09:08 -0800 (PST), you wrote:

<--snip-->

>> This is kind of an expansion on what Earnie
>> did for with mingw32-sup.1.0, except he and I disagree
>> on binary/text mode issues in the development tools.
>> 
>
>Could you please remind me of what our differences are?  Mainly so I can defend
>myself.

No need to defend it's just a difference of opinion.

Under cygwin, you always seem to feel that binary mounts (forced binary file opens) are
not the right way to go, and that to be "properly" ported an executable must make
special accommodations to handle "TEXT" specially, --binary flags for cat, and so on.

Where I think that this is a waste of time, and that forcing all ported unix
programs to use binary opens for all files, including stdin/out/err where appropriate
FOR THE GNU DEVELOPMENT TOOLS will only reduce confusion when
exchanging sources/patches with people on un*x hosts.

MS tools ie vc++/nmake can handle either \n or \r\n in headers/sources/makefiles.

<--snip-->

>>   makeinfo-1.68 from texinfo-3.12
>> 
>> Thanks in no particular order are due to
>> Geoff Noer, Mumit Kahn, and Earnie Boyd,
>> for inspiring me to finally get off my A*S
>> and do something about it.
>> 
>
>You're welcome.  This is a welcome package.  I'm assuming that none of this
>uses the Cygwin dll, I'm I correct on this.

Correct.

<--snip-->

>> (should make for easier use under command.com/cmd.exe)
>> 
>
>Wow, Mikey, you sure have a lot of work here.  I was actually thinking of
>actively doing something like this.  It looks like you've beat me to the punch.
>
>Please note:  there is an active Mingw32 list [email-masked] where you
>should also post this.

Been there, done that ;-), going back for  the T shirt.

--
Want to unsubscribe from this list?
Send a message to [email-masked]